#!/bin/bash

if [ $# -lt 1 ] ; then
	echo "Usage $0 patientID \(2SMobr\) \(nclass\) \(nRealizations\)"
	exit 0;
fi;

SDIR=`dirname $0`;
PATIENTID=$1;
NCLASS=10
if [ $# -gt 1 ] ; then
	NCLASS=$2;
fi;

NR=20;
if [ $# -gt 2 ] ; then
	NR=$3;
fi;

. $SDIR/env.sh

#$SDIR/loadLabkeyData.sh $PATIENTID;
$MATLAB -sd $MATLABSCRIPTDIR -batch "patientID='${PATIENTID}'; nclass='${NCLASS}'; nRealizations='${NR}'; generateCenters" >& ~/logs/dynamicSPECT.log;
#$SDIR/writeLabkeyData.sh $PATIENTID;
#$SDIR/removeData.sh $PATIENTID;

